Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class ClientSAFFactory

    java.lang.Object
      weblogic.jms.extensions.ClientSAFFactory

    public class ClientSAFFactory

extends Object

This class is a factory for JMS ClientSAF objects, which can be used to control configuration aspects of the Client SAF (store-and-forward) system.

See Also:
  `ClientSAF`

Constructor Summary
`ClientSAFFactory()`

Method Summary
`static ClientSAF` | `getClientSAF()` Returns a Client SAF instance.
`static ClientSAF` | `getClientSAF(File rootDirectory, InputStream configuration)` Returns a client SAF instance.
`static ClientSAF` | `getClientSAF(InputStream configuration)` Returns a Client SAF instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientSAFFactory

    public ClientSAFFactory()

Method Detail

### getClientSAF

    public static ClientSAF getClientSAF()
                                  throws ClientSAFDuplicateException,
                                         JMSException

  Returns a Client SAF instance. This version of the factory assumes that the name of the configuration file is `ClientSAF.xml` and can be found in the current working directory of this JVM.

  Returns:
    A ClientSAF object, which can be used to control the configuration aspects of the Client SAF system.
  Throws:
    `ClientSAFDuplicateException` - If this ClientSAF object already exists and is running for this directory. The running ClientSAF object can be received using `ClientSAFDuplicateException.getDuplicate()`. In this case, the input stream has not been reparsed.
    `JMSException` - If this call is attempted on a WLS server instance. Client SAF can only be used on a client.

### getClientSAF

    public static ClientSAF getClientSAF(InputStream configuration)
                                  throws ClientSAFDuplicateException,
                                         JMSException

  Returns a Client SAF instance.

  Parameters:
    `configuration` - An input stream for a configuration that is well-formed with respect to the `weblogic-jmsmd.xsd` schema and which has a root element of `weblogic-client-jms`.
  Returns:
    A ClientSAF object, which can be used to control the configuration aspects of the Client SAF system.
  Throws:
    `ClientSAFDuplicateException` - If this ClientSAF object already exists and is running for this directory. The running ClientSAF object can be received using `ClientSAFDuplicateException.getDuplicate()`. In this case, the input stream has not been reparsed.
    `JMSException` - If this call is attempted on a WLS server instance. Client SAF can only be used on a client.

### getClientSAF

    public static ClientSAF getClientSAF(File rootDirectory,
                                         InputStream configuration)
                                  throws ClientSAFDuplicateException,
                                         JMSException

  Returns a client SAF instance.

  Parameters:
    `rootDirectory` - The directory that should be considered the root directory where the Client SAF implementation can store files and directories. Any relative paths in the configuration file are relative to this directory (for example, the store directory).
    `configuration` - An input stream for a configuration that is well-formed with respect to the `weblogic-jmsmd.xsd` schema and which has a root element of `weblogic-client-jms`.
  Returns:
    A ClientSAF object, which can be used to control the configuration aspects of the Client SAF system.
  Throws:
    `ClientSAFDuplicateException` - If this ClientSAF object already exists and is running for this directory. The running ClientSAF object can be received using `ClientSAFDuplicateException.getDuplicate()`. In this case, the input stream has not been reparsed.
    `JMSException` - If this call is attempted on a WLS server instance. Client SAF can only be used on a client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD